# Get post back of the affiliate

| HTTP method | Endpoint                     |
| ----------- | ---------------------------- |
| **GET**     | **/v1/affiliate\_postbacks** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters    | Type    | Description                                                                                                                                                               |
| ---------- | ------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset        | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit         | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort          | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters       | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |               |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields        | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id            | integer | The unique id for the affiliate postback.                                                                                                                                 |
|            | offer\_id     | integer | Offer id.                                                                                                                                                                 |
|            | affiliate\_id | integer | Affiliate id.                                                                                                                                                             |
|            | event\_id     | integer | Event id.                                                                                                                                                                 |
|            | code          | string  |                                                                                                                                                                           |
|            | status        | string  | The status of the postback.                                                                                                                                               |
|            | type          | integer | The type of code.                                                                                                                                                         |
|            | create\_time  | integer | Create time.                                                                                                                                                              |
|            | update\_time  | integer | Update time.                                                                                                                                                              |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field         | Type    | Description                                                                                                        |
| ------------- | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id            | integer | The unique id for the affiliate postback.                                                                          |
| offer\_id     | integer | Offer id.                                                                                                          |
| affiliate\_id | integer | Affiliate id.                                                                                                      |
| event\_id     | integer | Event id.                                                                                                          |
| code          | string  |                                                                                                                    |
| status        | string  | The status of the postback.                                                                                        |
| type          | integer | The type of code.   Possible Values:   1:Image Pixel;   2:Postback URL;   3:HTML Pixel                             |
| create\_time  | integer | Create time.                                                                                                       |
| update\_time  | integer | Update time.                                                                                                       |
| totalPages    | integer | The list of data pages (associated with your limit).                                                               |
| totalRows     | integer | Total number of available data.                                                                                    |
| offset        | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit         | integer | The number of data displayed on one page.                                                                          |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/affiliate_postbacks?fields=id,offer_id,affiliate_id,code,create_time&sort=-id&filters[id][LESS_THAN]=10>

**Request GET** <http://{networkname}.api.offerslook.com/v1/affiliate_postbacks?fields=id,offer_id,affiliate_id,code,create_time&sort=-id&filters[id][LESS_THAN]=10>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 9,
            "offer_id": 3,
            "affiliate_id": 9,
            "code": "this is a test!",
            "create_time": 1462586549
          },
          {
            "id": 7,
            "offer_id": 0,
            "affiliate_id": 9,
            "code": "5dd5",
            "create_time": 1462524869
          },
          {
            "id": 6,
            "offer_id": 1,
            "affiliate_id": 9,
            "code": "5dd5",
            "create_time": 1462524461
          },
          {
            "id": 5,
            "offer_id": 0,
            "affiliate_id": 8,
            "code": "dsfe",
            "create_time": 1462441687
          },
          {
            "id": 4,
            "offer_id": 2,
            "affiliate_id": 40,
            "code": "hhhh",
            "create_time": 1462441644
          },
          {
            "id": 1,
            "offer_id": 3,
            "affiliate_id": 3,
            "code": "www.biau.com",
            "create_time": 1461051507
          }
        ],
        "totalPages": 1,
        "totalRows": 6,
        "offset": 1,
        "limit": 20
      }
    }
```
